uuid: 6d905548-0e04-4bc2-b878-7d702b2d5929
langcode: en
status: true
dependencies:
  config:
    - search_api.index.program_index
    - system.menu.secondary-menu
    - taxonomy.vocabulary.degree_options
    - taxonomy.vocabulary.learn
  module:
    - better_exposed_filters
    - search_api
    - user
id: programs_search_ce
label: 'Programs Search (Continuing Ed)'
module: views
description: ''
tag: ''
base_table: search_api_index_program_index
base_field: search_api_id
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      title: 'Programs Search'
      fields:
        rendered_item:
          id: rendered_item
          table: search_api_index_program_index
          field: rendered_item
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: null
          entity_field: null
          plugin_id: search_api
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          link_to_item: false
          multi_type: separator
          multi_separator: ', '
      pager:
        type: full
        options:
          offset: 0
          items_per_page: 10
          total_pages: null
          id: 0
          tags:
            next: 'Next ›'
            previous: '‹ Previous'
            first: '« First'
            last: 'Last »'
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          quantity: 9
          pagination_heading_level: h4
      exposed_form:
        type: bef
        options:
          submit_button: Search
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
          input_required: false
          text_input_required: 'Select any filter and click on Apply to see results'
          text_input_required_format: basic_html
          bef:
            general:
              autosubmit: true
              autosubmit_exclude_textfield: false
              autosubmit_hide: false
              input_required: false
              allow_secondary: false
              secondary_label: 'Advanced options'
              text_input_required: 'Select any filter and click on Apply to see results'
              text_input_required_format: basic_html
              autosubmit_textfield_minimum_length: 3
            filter:
              field_degree_option:
                plugin_id: default
                advanced:
                  sort_options: false
                  placeholder_text: ''
                  rewrite:
                    filter_rewrite_values: ''
                    filter_rewrite_values_key: false
                  collapsible: false
                  is_secondary: false
                  collapsible_disable_automatic_open: false
                  hide_label: false
              field_learn_category:
                plugin_id: default
                advanced:
                  sort_options: false
                  placeholder_text: ''
                  rewrite:
                    filter_rewrite_values: ''
                    filter_rewrite_values_key: false
                  collapsible: false
                  is_secondary: false
                  collapsible_disable_automatic_open: false
                  hide_label: false
              search_api_fulltext:
                plugin_id: default
                advanced:
                  sort_options: false
                  placeholder_text: ''
                  rewrite:
                    filter_rewrite_values: ''
                    filter_rewrite_values_key: false
                  collapsible: false
                  is_secondary: false
                  collapsible_disable_automatic_open: false
                  hide_label: false
      access:
        type: perm
        options:
          perm: 'access content'
      cache:
        type: search_api_none
        options: {  }
      empty: {  }
      sorts: {  }
      arguments: {  }
      filters:
        field_degree_option:
          id: field_degree_option
          table: search_api_index_program_index
          field: field_degree_option
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: field_degree_option_op
            label: "I'm interested in"
            description: ''
            use_operator: false
            operator: field_degree_option_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: field_degree_option
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: degree_options
          type: select
          hierarchy: false
          limit: true
          error_message: true
        field_learn_category:
          id: field_learn_category
          table: search_api_index_program_index
          field: field_learn_category
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: field_learn_category_op
            label: 'I want to learn about'
            description: ''
            use_operator: false
            operator: field_learn_category_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: field_learn_category
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: learn
          type: select
          hierarchy: false
          limit: true
          error_message: true
        search_api_fulltext:
          id: search_api_fulltext
          table: search_api_index_program_index
          field: search_api_fulltext
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_fulltext
          operator: and
          value: ''
          group: 1
          exposed: true
          expose:
            operator_id: search_api_fulltext_op
            label: 'Advanced Search'
            description: ''
            use_operator: false
            operator: search_api_fulltext_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: search_api_fulltext
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          parse_mode: terms
          min_length: null
          fields: {  }
      filter_groups:
        operator: AND
        groups:
          1: AND
      style:
        type: default
      row:
        type: search_api
        options:
          view_modes:
            'entity:node':
              program: teaser
      query:
        type: search_api_query
        options:
          bypass_access: false
          skip_access: false
      relationships: {  }
      use_ajax: true
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - url.query_args
        - user
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:search_api.index.program_index'
  block_1:
    id: block_1
    display_title: Block
    display_plugin: block
    position: 1
    display_options:
      exposed_form:
        type: bef
        options:
          submit_button: Search
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
          input_required: false
          text_input_required: 'Select any filter and click on Apply to see results'
          text_input_required_format: basic_html
          bef:
            general:
              autosubmit: false
              autosubmit_exclude_textfield: false
              autosubmit_hide: true
              input_required: false
              allow_secondary: false
              secondary_label: 'Advanced options'
              text_input_required: 'Select any filter and click on Apply to see results'
              text_input_required_format: basic_html
              autosubmit_textfield_minimum_length: 3
            filter:
              field_degree_option:
                plugin_id: default
                advanced:
                  sort_options: false
                  placeholder_text: ''
                  rewrite:
                    filter_rewrite_values: ''
                    filter_rewrite_values_key: false
                  collapsible: false
                  is_secondary: false
                  collapsible_disable_automatic_open: false
                  hide_label: false
              field_learn_category:
                plugin_id: default
                advanced:
                  sort_options: false
                  placeholder_text: ''
                  rewrite:
                    filter_rewrite_values: ''
                    filter_rewrite_values_key: false
                  collapsible: false
                  is_secondary: false
                  collapsible_disable_automatic_open: false
                  hide_label: false
              search_api_fulltext:
                plugin_id: default
                advanced:
                  sort_options: false
                  placeholder_text: ''
                  rewrite:
                    filter_rewrite_values: ''
                    filter_rewrite_values_key: false
                  collapsible: false
                  is_secondary: false
                  collapsible_disable_automatic_open: false
                  hide_label: false
      defaults:
        exposed_form: false
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - url.query_args
        - user
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:search_api.index.program_index'
  page_1:
    id: page_1
    display_title: Page
    display_plugin: page
    position: 2
    display_options:
      title: 'Continuing Education'
      filters:
        field_degree_option:
          id: field_degree_option
          table: search_api_index_program_index
          field: field_degree_option
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: field_degree_option_op
            label: "I'm interested in"
            description: ''
            use_operator: false
            operator: field_degree_option_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: field_degree_option
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: degree_options
          type: select
          hierarchy: false
          limit: true
          error_message: true
        field_learn_category:
          id: field_learn_category
          table: search_api_index_program_index
          field: field_learn_category
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_term
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: field_learn_category_op
            label: 'I want to learn about'
            description: ''
            use_operator: false
            operator: field_learn_category_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: field_learn_category
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          reduce_duplicates: false
          vid: learn
          type: select
          hierarchy: false
          limit: true
          error_message: true
        search_api_fulltext:
          id: search_api_fulltext
          table: search_api_index_program_index
          field: search_api_fulltext
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_fulltext
          operator: and
          value: ''
          group: 1
          exposed: true
          expose:
            operator_id: search_api_fulltext_op
            label: 'Advanced Search'
            description: ''
            use_operator: false
            operator: search_api_fulltext_op
            operator_limit_selection: false
            operator_list: {  }
            identifier: search_api_fulltext
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          parse_mode: terms
          min_length: null
          fields: {  }
        search_api_fulltext_1:
          id: search_api_fulltext_1
          table: search_api_index_program_index
          field: search_api_fulltext
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: search_api_fulltext
          operator: and
          value: 'Hides results. This is here to maintain this view for possible future. Do not Delete.'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          parse_mode: direct
          min_length: null
          fields: {  }
      filter_groups:
        operator: AND
        groups:
          1: AND
      defaults:
        title: false
        filters: false
        filter_groups: false
      exposed_block: true
      display_extenders: {  }
      path: continuing-education
      menu:
        type: normal
        title: 'Continuing Education'
        description: ''
        weight: -43
        expanded: false
        menu_name: secondary-menu
        parent: ''
        context: '0'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - url.query_args
        - user
        - 'user.node_grants:view'
        - user.permissions
      tags:
        - 'config:search_api.index.program_index'
